/*
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2,
 *   or (at your option) any later version, as published by the Free
 *   Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

import Qt 4.7
import QtQuick 1.1

Item {
    id: main
    width: screenSize.width
    height: screenSize.height
    property int stage

	onStageChanged: 
	{
	     
        if (stage == 1) 
	{

        }
        
        if (stage == 2) 
	{
	
        }
        
        if (stage == 3) 
	{
	  
        }
        
        if (stage == 4) 
	{
	 glow.opacity = 0.3
        }
        
        if (stage == 5) 
	{
	  glow.opacity = 0.5 
	  opensource.opacity = 0.5
	  sabayonfoot.opacity = 0.3
        }
        
        if (stage == 6) 
	{
	  glow.opacity = 0.7
	  logo.opacity = 0.8
	  opensource.opacity = 0.8
        }
        
        if (stage == 7) 
	{
	  glow.opacity = 1
	  logo.opacity = 1
	  opensource.opacity = 1
        }
    }
    
	Image 
	{
        id: background
        source: "images/background.png"
	opacity: 1
	width: screenSize.width
	height: screenSize.height
	anchors.fill: parent
	anchors 
	{
	    top: parent.top
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }
    }
    
        Image 
    {
	id: sabayonlogoText
	height: 150
	width: 600
	smooth: true
	x: -10 + (parent.width - width) / 2
	y: -245 + (parent.height - height) / 2
	source: "images/sabayonlogoText.svg"
	opacity: 1
    }
  
        Image 
    {
	id: logo
	height: 200
	width: 200
	smooth: true
	x: 0 + (parent.width - width) / 2
	y: -20 + (parent.height - height) / 2
	source: "images/sabayonlogo.svg"
	opacity: 0
	Behavior on opacity { NumberAnimation { duration: 700; easing { type: Easing.InOutQuad } } }
    }
        Image 
    {
	id: sabayonfoot
	height: 165
	width: 165
	smooth: true
	x: 0 + (parent.width - width) / 2
	y: -20 + (parent.height - height) / 2
	source: "images/sabayonfoot2.svg"
	opacity: 0
	Behavior on opacity { NumberAnimation { duration: 700; easing { type: Easing.InOutQuad } } }
    }
	Image 
    {
	id: glow
	height: 275
	width: 275
	smooth: true
	x: 0 + (parent.width - width) / 2
	y: -20 + (parent.height - height) / 2
	source: "images/glow.png"
	opacity: 0
	Behavior on opacity { NumberAnimation { duration: 2000; easing { type: Easing.InOutQuad } } }
    }
    
	Image 
    {
	id: spinner_left
	height: 210
	width: 210
	smooth: true
	x: 0 + (parent.width - width) / 2
	y: -20 + (parent.height - height) / 2
	source: "images/spinner_left.png"
	opacity: 1
	
        
        NumberAnimation 
        {
	    id: animateRotation_spinner_left
	    target: spinner_left
	    properties: "rotation"
	    from: 360; to: 0; duration: 800; loops: Animation.Infinite; running: true
        }
    }
    
    	Image 
    {
	id: spinner_right
	height: 210
	width: 210
	smooth: true
	x: 0 + (parent.width - width) / 2
	y: -20 + (parent.height - height) / 2
	source: "images/spinner_right.png"
	opacity: 1
	
        
        NumberAnimation 
        {
	    id: animateRotation_spinner_right
	    target: spinner_right
	    properties: "rotation"
	    from: 0; to: 360; duration: 800; loops: Animation.Infinite; running: true
        }
    }

	Text 
      {
	 id: opensource
         text: '<font color="silver"><i>Open your <b>source</b>, open your <b>mind<b/>!</i></font>'
         font.pointSize: 23
         textFormat: Text.StyledText
         x: -0 + (parent.width - width) / 2 
	 y: 220 + (parent.height - height) / 2
	 opacity: 0
	 Behavior on opacity { NumberAnimation { duration: 700; easing { type: Easing.InOutQuad } } }
     }
    
   Text 
   {
	id: date
        text:Qt.formatDateTime(new Date(), "dd.MM.yy | hh:mm:ss")
	font.pointSize: 4
	color: "silver"
	font { family: 'dejavu sans'; pixelSize: 14; italic: false; bold:true; capitalization: Font.SmallCaps }
        textFormat: Text.StyledText
        opacity: 1
	x: (parent.width - width) / 2
	y: (parent.height - height) - 25
    } 
}